Package ru.bitel.bgbilling.modules.tv.server.runtime

# Class ProductRuntimeList.ProductItem

java.lang.Object
ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem
ru.bitel.bgbilling.modules.tv.server.runtime.ProductRuntimeList.ProductItem

All Implemented Interfaces:
  `Comparable<Delayed>`, `Delayed`

Enclosing class:
  `ProductRuntimeList`

public static final class ProductRuntimeList.ProductItem extends ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem implements Delayed

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `activationModeId`
  `short`
  `deviceState`
  `final int`
  `productId`
  `int`
  `version`

  ### Fields inherited from class ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem

  `id, timeFrom, timeTo`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProductItem(int productSpecId, int productId, int activationModeId, long timeFrom, long timeTo, short deviceState)`
  `ProductItem(int productSpecId, int productId, int activationModeId, Date timeFrom, Date timeTo, short deviceState)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Delayed other)`
  `long`
  `getDelay(TimeUnit unit)`
  `Product`
  `toProduct(int contractId, int accountId)`
  `StringBuilder`
  `toString(StringBuilder sb)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### productId

    public final int productId

  - ### activationModeId

    public final int activationModeId

  - ### deviceState

    public volatile short deviceState

  - ### version

    public volatile int version

- ## Constructor Details

  - ### ProductItem

    public ProductItem(int productSpecId, int productId, int activationModeId, Date timeFrom, Date timeTo, short deviceState)

  - ### ProductItem

    public ProductItem(int productSpecId, int productId, int activationModeId, long timeFrom, long timeTo, short deviceState)

- ## Method Details

  - ### getDelay

    public long getDelay(TimeUnit unit)
    Specified by:
      `getDelay` in interface `Delayed`

  - ### compareTo

    public int compareTo(Delayed other)
    Specified by:
      `compareTo` in interface `Comparable<Delayed>`

  - ### toProduct

    public Product toProduct(int contractId, int accountId)

  - ### toString

    public StringBuilder toString(StringBuilder sb)
    Overrides:
      `toString` in class `ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem`